Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class PropertyFile.Entry.Operation

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Operation

Enclosing class:
  PropertyFile.Entry

public static class PropertyFile.Entry.Operation
extends EnumeratedAttribute

Enumerated attribute with the values "+", "-", "=", "now" and "never".

Field Summary
`static int` | `DECREMENT_OPER`
`static int` | `EQUALS_OPER`
`static int` | `INCREMENT_OPER`
`static int` | `NOW_VALUE`
`static int` | `NULL_VALUE`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`PropertyFile.Entry.Operation()`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.
`static int` | `toOperation(java.lang.String oper)`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCREMENT_OPER

    public static final int INCREMENT_OPER

### DECREMENT_OPER

    public static final int DECREMENT_OPER

### EQUALS_OPER

    public static final int EQUALS_OPER

### NOW_VALUE

    public static final int NOW_VALUE

### NULL_VALUE

    public static final int NULL_VALUE

Constructor Detail

### PropertyFile.Entry.Operation

    public PropertyFile.Entry.Operation()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.
  Overrides:
    `getValues` in class `EnumeratedAttribute`
  Following copied from class: `org.apache.tools.ant.types.EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration.

### toOperation

    public static int toOperation(java.lang.String oper)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.